For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get post-install script

Retrieve post-install script by its ID. Use this endpoint to view specific automation script details.

Get post-install script

get

Retrieve post-install script by its ID.

Use this endpoint to view specific automation script details.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
postInstallScriptIdintegerRequired

Post-install script ID

Example: 9568314
Responses
200

Success response

application/json
idintegerOptional

Post-install script ID

Example: 325
namestringOptional

Name of the script

Example: My Setup Script
contentstringOptional

Content of the script

Example: #!/bin/bash\napt-get update\napt-get install -y nginx
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
updated_atstring · date-timeOptionalExample: 2025-03-19T11:54:22Z
get/api/vps/v1/post-install-scripts/{postInstallScriptId}
GET /api/vps/v1/post-install-scripts/{postInstallScriptId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 325,
  "name": "My Setup Script",
  "content": "#!/bin/bash\\napt-get update\\napt-get install -y nginx",
  "created_at": "2025-02-27T11:54:22Z",
  "updated_at": "2025-03-19T11:54:22Z"
}

Last updated

Was this helpful?